### Method

# Gtk TextBuffer get_enable_undo

#### Declaration [src]

    gboolean
    gtk_text_buffer_get_enable_undo (
      GtkTextBuffer* buffer
    )

#### Description [src]

Gets whether the buffer is saving modifications to the buffer to allow for undo and redo actions.

See `gtk_text_buffer_begin_irreversible_action()` and `gtk_text_buffer_end_irreversible_action()` to create changes to the buffer that cannot be undone.

Gets property | `Gtk.TextBuffer:enable-undo`

#### Return value

Type: `gboolean`

`TRUE` if undoing and redoing changes to the buffer is allowed.